summaryrefslogtreecommitdiffstats
path: root/abs/extra-testing
diff options
context:
space:
mode:
Diffstat (limited to 'abs/extra-testing')
-rw-r--r--abs/extra-testing/esound/PKGBUILD34
-rwxr-xr-xabs/extra-testing/esound/esd37
-rw-r--r--abs/extra-testing/esound/esd-0.2.38-alsa-drain.patch11
-rw-r--r--abs/extra-testing/libdvdcss/PKGBUILD22
-rw-r--r--abs/extra-testing/live-media/PKGBUILD11
-rw-r--r--abs/extra-testing/mingetty/PKGBUILD30
-rw-r--r--abs/extra-testing/mingetty/mingetty-utf8.patch158
-rw-r--r--abs/extra-testing/mjpegtools/PKGBUILD24
-rw-r--r--abs/extra-testing/mjpegtools/mjpegtools-1.8.0-gcc41.patch120
-rw-r--r--abs/extra-testing/mjpegtools/mjpegtools-1.8.0-libc.patch258
-rw-r--r--abs/extra-testing/mjpegtools/mjpegtools-1.8.0-limits.h.patch30
-rw-r--r--abs/extra-testing/mplayer/PKGBUILD42
-rw-r--r--abs/extra-testing/mplayer/demux_audio_fix_20080129.diff11
-rw-r--r--abs/extra-testing/mplayer/demux_mov_fix_20080129.diff45
-rw-r--r--abs/extra-testing/mplayer/mplayer_desktop.patch11
-rw-r--r--abs/extra-testing/mplayer/stream_cddb_fix_20080120.diff32
-rw-r--r--abs/extra-testing/mplayer/url_fix_20080120.diff10
-rw-r--r--abs/extra-testing/rsync/ChangeLog25
-rw-r--r--abs/extra-testing/rsync/PKGBUILD33
-rw-r--r--abs/extra-testing/rsync/rsync.xinetd11
-rw-r--r--abs/extra-testing/rsync/rsyncd37
-rw-r--r--abs/extra-testing/rsync/rsyncd.conf16
-rw-r--r--abs/extra-testing/setuptools/PKGBUILD23
-rw-r--r--abs/extra-testing/v4l-dvb-dvico/PKGBUILD24
-rw-r--r--abs/extra-testing/v4l-dvb-dvico/v4l-dvb.install23
-rw-r--r--abs/extra-testing/xine-lib/ChangeLog12
-rw-r--r--abs/extra-testing/xine-lib/PKGBUILD34
-rw-r--r--abs/extra-testing/xine-lib/xine-imagemagick.patch11
28 files changed, 744 insertions, 391 deletions
diff --git a/abs/extra-testing/esound/PKGBUILD b/abs/extra-testing/esound/PKGBUILD
new file mode 100644
index 0000000..b157aab
--- /dev/null
+++ b/abs/extra-testing/esound/PKGBUILD
@@ -0,0 +1,34 @@
+# $Id: PKGBUILD 19662 2008-11-28 20:35:54Z jgc $
+# Maintainer: Jan de Groot <jgc@archlinux.org>
+pkgname=esound
+pkgver=0.2.41
+pkgrel=1
+pkgdesc="Enlightened Sound Daemon"
+arch=(i686 x86_64)
+license=('LGPL')
+depends=('audiofile' 'tcp_wrappers' 'alsa-lib>=1.0.18')
+url="http://www.tux.org/~ricdude/EsounD.html"
+provides=("esd=${pkgver}")
+replaces=('esd')
+conflicts=('esd')
+backup=('etc/esd.conf')
+options=('!libtool')
+source=(http://ftp.gnome.org/pub/GNOME/sources/${pkgname}/0.2/${pkgname}-${pkgver}.tar.bz2
+ esd-0.2.38-alsa-drain.patch
+ esd)
+md5sums=('8d9aad3d94d15e0d59ba9dc0ea990c6c'
+ '3de93efcd1bc196a3585e6aef50eac48'
+ 'a4c76e7c7f75b201ea7ab6fb15b47472')
+
+build() {
+ cd "${srcdir}/${pkgname}-${pkgver}"
+ patch -Np1 -i "${srcdir}/esd-0.2.38-alsa-drain.patch" || return 1
+ ./configure --prefix=/usr --sysconfdir=/etc \
+ --localstatedir=/var --disable-static \
+ --with-audiofile --with-libwrap \
+ --enable-alsa --disable-artstest || return 1
+ make || return 1
+ make DESTDIR="${pkgdir}" install || return 1
+ install -m755 -d "${pkgdir}/etc/rc.d"
+ install -m755 "${srcdir}/esd" "${pkgdir}/etc/rc.d/esd" || return 1
+}
diff --git a/abs/extra-testing/esound/esd b/abs/extra-testing/esound/esd
new file mode 100755
index 0000000..d90ef55
--- /dev/null
+++ b/abs/extra-testing/esound/esd
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+PID=`pidof -o %PPID /usr/bin/esd`
+case "$1" in
+ start)
+ stat_busy "Starting Esound Daemon"
+ if [ -z "$PID" ]; then
+ /usr/bin/esd -nobeeps &
+ fi
+ if [ ! -z "$PID" -o $? -gt 0 ]; then
+ stat_fail
+ else
+ add_daemon esd
+ stat_done
+ fi
+ ;;
+ stop)
+ stat_busy "Stopping Esound Daemon"
+ [ ! -z "$PID" ] && kill $PID &> /dev/null
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon esd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
diff --git a/abs/extra-testing/esound/esd-0.2.38-alsa-drain.patch b/abs/extra-testing/esound/esd-0.2.38-alsa-drain.patch
new file mode 100644
index 0000000..f2fb716
--- /dev/null
+++ b/abs/extra-testing/esound/esd-0.2.38-alsa-drain.patch
@@ -0,0 +1,11 @@
+--- esound-0.2.38/audio_alsa09.c.old 2007-06-11 12:22:24.000000000 +0200
++++ esound-0.2.38/audio_alsa09.c 2007-06-11 12:22:49.000000000 +0200
+@@ -486,7 +486,7 @@ void esd_audio_flush(void)
+ }
+
+ if (alsa_playback_handle != NULL)
+- snd_pcm_drain( alsa_playback_handle );
++ snd_pcm_drop( alsa_playback_handle );
+
+ if (alsadbg)
+ print_state();
diff --git a/abs/extra-testing/libdvdcss/PKGBUILD b/abs/extra-testing/libdvdcss/PKGBUILD
new file mode 100644
index 0000000..9b5253e
--- /dev/null
+++ b/abs/extra-testing/libdvdcss/PKGBUILD
@@ -0,0 +1,22 @@
+# $Id: PKGBUILD 14403 2008-10-06 08:19:39Z douglas $
+# Maintainer: arjan <arjan@archlinux.org>
+# Contributor Sarah Hay <sarahhay@mb.sympatico.ca>
+
+pkgname=libdvdcss
+pkgver=1.2.10
+pkgrel=1
+pkgdesc="libdvdcss is a cross-platform library for transparent DVD device access with on-the-fly CSS decryption."
+arch=('i686' 'x86_64')
+depends=('glibc')
+options=('!libtool')
+source=(http://download.videolan.org/pub/$pkgname/$pkgver/$pkgname-$pkgver.tar.bz2)
+url="http://www.videolan.org/libdvdcss/"
+
+md5sums=('ebd5370b79ac5a83e5c61b24a214cf74')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ ./configure --prefix=/usr
+ make || return 1
+ make DESTDIR=$startdir/pkg install
+}
diff --git a/abs/extra-testing/live-media/PKGBUILD b/abs/extra-testing/live-media/PKGBUILD
index 5e37fe1..f3f230d 100644
--- a/abs/extra-testing/live-media/PKGBUILD
+++ b/abs/extra-testing/live-media/PKGBUILD
@@ -1,16 +1,17 @@
-#$Id: PKGBUILD 13918 2008-09-29 20:59:34Z giovanni $
-#Maintainer: Aaron, phrakture, Griffin <aaron@archlinux.org>
-#Contributor: Gilles CHAUVIN <gcnweb@gmail.com>
+#$Id: PKGBUILD 21746 2008-12-15 23:00:08Z giovanni $
+# Maintainer: Giovanni Scafora <giovanni@archlinux.org>
+# Contributor: Gilles CHAUVIN <gcnweb@gmail.com>
pkgname=live-media
-pkgver=2008.10.07
+pkgver=2008.12.20
pkgrel=1
pkgdesc="A set of C++ libraries for multimedia streaming"
arch=('i686' 'x86_64')
license=('LGPL')
-url="http://live555.com/liveMedia/"
+url="http://live555.com/liveMedia"
depends=(gcc-libs)
source=(http://live555.com/liveMedia/public/live.$pkgver.tar.gz)
+md5sums=('266d9b15f57ca952667780d9c2185e5e')
build()
{
diff --git a/abs/extra-testing/mingetty/PKGBUILD b/abs/extra-testing/mingetty/PKGBUILD
new file mode 100644
index 0000000..d24a8b5
--- /dev/null
+++ b/abs/extra-testing/mingetty/PKGBUILD
@@ -0,0 +1,30 @@
+# Contributor: stonecrest <stonecrestATgmailDOTcom>
+pkgname=mingetty
+pkgver=1.08
+pkgrel=2
+pkgdesc="Designed to be a minimal getty and allows automatic logins."
+arch=('i686' 'x86_64')
+url="http://sourceforge.net/projects/mingetty"
+license=('GPL')
+depends=('glibc')
+makedepends=('gcc' 'make')
+provides=('mingetty')
+conflicts=('mingetty')
+md5sums=('2a75ad6487ff271424ffc00a64420990'
+ 'b1bcb0668c34d4981e3acddc3990dfdb')
+source=(http://downloads.sourceforge.net/sourceforge/mingetty/$pkgname-$pkgver.tar.gz
+ mingetty-utf8.patch)
+
+build() {
+ patch $startdir/src/$pkgname-$pkgver/mingetty.c mingetty-utf8.patch || return 1
+
+ mkdir -p $startdir/pkg/sbin || return 1
+ mkdir -p $startdir/pkg/usr/man/man8 || return 1
+
+ cd $startdir/src || return 1
+ cd $startdir/src/$pkgname-$pkgver || return 1
+
+ LDFLAGS="-s" make || return 1
+ install -m 0755 mingetty $startdir/pkg/sbin || return 1
+ install -m 0644 mingetty.8 $startdir/pkg/usr/man/man8 || return 1
+}
diff --git a/abs/extra-testing/mingetty/mingetty-utf8.patch b/abs/extra-testing/mingetty/mingetty-utf8.patch
new file mode 100644
index 0000000..c269039
--- /dev/null
+++ b/abs/extra-testing/mingetty/mingetty-utf8.patch
@@ -0,0 +1,158 @@
+diff -Nru mingetty-1.07.orig/mingetty.c mingetty-1.07/mingetty.c
+--- mingetty-1.07.orig/mingetty.c 2004-01-03 15:15:56.000000000 +0200
++++ mingetty-1.07/mingetty.c 2006-11-22 22:13:26.967910100 +0200
+@@ -16,10 +16,15 @@
+ * - autologin only at first login
+ * - /etc/mingetty.conf that can be used instead of /etc/inittab for
+ * command line options
+- * - Can UTF-8 setup be done within mingetty?
++ * - Can UTF-8 setup be done within mingetty? Let's try now :-) (VinzC)
+ * - Also add /bin/login-type functionality in here?
+ */
+
++/* Additional comments: Vincent Cadet <vcadet@hotmail.com> (2006-11-21)
++ * - Attempt to make mingetty support UTF-8. Modifications were imported
++ * from Suse migetty.c 0.9.6s.
++ */
++
+ #include <stdio.h>
+ #include <stdlib.h>
+ #include <unistd.h>
+@@ -39,6 +44,19 @@
+ #include <syslog.h>
+ #include <sys/utsname.h>
+ #include <time.h>
++#include <locale.h>
++#include <iconv.h>
++#include <wctype.h>
++#include <sys/kd.h>
++#include <sys/ttydefaults.h>
++
++#ifndef IUTF8
++# ifndef ASM_IUTF8
++# error ASM_IUTF8 input flag not defined - Cannot define IUTF8
++# else
++# define IUTF8 ASM_IUTF8
++# endif
++#endif
+
+ /* name of this program (argv[0]) */
+ static char *progname;
+@@ -74,6 +92,8 @@
+ static char *autologin = NULL;
+ /* try to read a char before dropping to login prompt */
+ static int loginpause = 0;
++/* terminal mode */
++static int mode = K_RAW;
+
+ /* error() - output error messages */
+ static void error (const char *fmt, ...)
+@@ -187,10 +207,21 @@
+ if (fd > 2)
+ close (fd);
+
++ /* Detect mode of current keyboard setup, e.g. for UTF-8 */
++ if (ioctl(0, KDGKBMODE, &mode) < 0)
++ mode = K_RAW;
++
+ /* Write a reset string to the terminal. This is very linux-specific
+ and should be checked for other systems. */
+ if (noclear == 0)
+- write (0, "\033c", 2);
++ /* don't write a full reset (ESC c) because this leaves the
++ unicode mode again if the terminal was in unicode mode
++ and also undos the ESC sequences in CONSOLE_MAGIC which
++ are needed for some languages/console-fonts.
++ Just put the cursor to the home position (ESC [ H),
++ erase everything below the cursor (ESC [ J), and set the
++ scrolling region to the full window (ESC [ r) */
++ write (0, "\033[r\033[H\033[J", 9);
+
+ sigaction (SIGHUP, &sa_old, NULL);
+ }
+@@ -292,32 +323,75 @@
+
+ static char *get_logname (void)
+ {
+- static char logname[40];
++ static char logname[4*UT_NAMESIZE];
+ char *bp;
+ unsigned char c;
++ int ascii;
++ iconv_t ic;
+
+ tcflush (0, TCIFLUSH); /* flush pending input */
++
++ /* Check for UTF-8 mode */
++ switch(mode) {
++ case K_UNICODE:
++ ascii = 0;
++ setlocale(LC_CTYPE, "en_US.UTF-8");
++ break;
++ case K_RAW:
++ case K_MEDIUMRAW:
++ case K_XLATE:
++ default:
++ ascii = 1;
++ setlocale(LC_CTYPE, "POSIX");
++ break;
++ }
++
+ for (*logname = 0; *logname == 0;) {
+ do_prompt (1);
+ for (bp = logname;;) {
+ if (read (0, &c, 1) < 1) {
+- if (errno == EINTR || errno == EIO
+- || errno == ENOENT)
++ if (errno == EINTR || errno == EAGAIN) {
++ usleep(1000);
++ continue;
++ }
++ if (errno == EIO || errno == ENOENT)
+ exit (EXIT_SUCCESS);
+ error ("%s: read: %s", tty, strerror (errno));
+ }
+ if (c == '\n' || c == '\r') {
+ *bp = 0;
+ break;
+- } else if (!isprint (c))
+- error ("%s: invalid character 0x%x in login"
+- " name", tty, c);
++ }
++
++ if (ascii && !isprint (c))
++ error ("%s: invalid character 0x%x in login name", tty, c);
+ else if ((size_t)(bp - logname) >= sizeof (logname) - 1)
+ error ("%s: too long login name", tty);
+- else
+- *bp++ = c;
++
++ *bp++ = c;
+ }
+ }
++
++ if (!ascii && (ic = iconv_open("WCHAR_T", "UTF-8"))) {
++ char tmpbuf[4*sizeof(logname)], *op, *lp;
++ size_t len = bp - logname;
++ size_t out = sizeof(tmpbuf) - 1;
++ size_t wcl;
++ wint_t *wcp;
++
++ op = tmpbuf;
++ lp = logname;
++ if ((wcl = iconv(ic , &lp, &len, &op, &out)) == (size_t)-1)
++ error ("%s: invalid character conversion for login name", tty);
++ iconv_close(ic);
++
++ wcp = (wint_t*)tmpbuf;
++ wcp[wcl] = (wint_t)0;
++ while (*wcp) {
++ if (!iswprint(*wcp++))
++ error ("%s: invalid character for login name found", tty);
++ }
++ }
+ return logname;
+ }
+
+
+
diff --git a/abs/extra-testing/mjpegtools/PKGBUILD b/abs/extra-testing/mjpegtools/PKGBUILD
index 340b25b..161e7fc 100644
--- a/abs/extra-testing/mjpegtools/PKGBUILD
+++ b/abs/extra-testing/mjpegtools/PKGBUILD
@@ -1,23 +1,25 @@
+# $Id: PKGBUILD 356 2008-04-18 22:56:27Z aaron $
+# Contributor: Damir Perisa <damir.perisa@bluewin.ch>
+# Mantainer: Roberto Carvajal <roberto@archlinux.org>
+
pkgname=mjpegtools
-pkgver=1.9.0
-pkgrel=1
+pkgver=1.8.0
+pkgrel=3
pkgdesc="The mjpeg programs are a set of tools that can do recording of videos and playback, simple cut-and-paste editing and the MPEG compression of audio and video under Linux. "
arch=(i686 x86_64)
license=('GPL')
url="http://mjpeg.sourceforge.net/"
-#depends=('libjpeg' 'libpng' 'sdl' 'gcc' 'libdv')
-depends=('libjpeg' 'libpng' 'gcc-libs' 'libdv')
+depends=('libjpeg' 'libpng' 'sdl' 'gcc' 'libdv')
makedepends=('gtk2')
options=('!makeflags' '!libtool')
-source=(http://downloads.sourceforge.net/sourceforge/mjpeg/${pkgname}-${pkgver}rc3.tar.gz
- mjpegtools-1.8.0-gcc41.patch mjpegtools-1.8.0-libc.patch 1.9.patch)
-#md5sums=('6fd98362310480bdaf7171e9659f165f' '803eccd889c60a442ee23ba65951fadc')
+source=(http://downloads.sourceforge.net/sourceforge/mjpeg/${pkgname}-${pkgver}.tar.gz
+ mjpegtools-1.8.0-gcc41.patch mjpegtools-1.8.0-libc.patch)
+md5sums=('6fd98362310480bdaf7171e9659f165f' '803eccd889c60a442ee23ba65951fadc' '23b09a1ccae1b08a15076e696ccfd050')
build() {
- cd ${startdir}/src/${pkgname}-${pkgver}rc3
-# patch -Np1 -i ${startdir}/src/mjpegtools-1.8.0-gcc41.patch || return 1
-# patch -Np1 -i ${startdir}/src/mjpegtools-1.8.0-libc.patch || return 1
- patch -Np1 -i ${startdir}/src/1.9.patch || return 1
+ cd ${startdir}/src/${pkgname}-${pkgver}
+ patch -Np1 -i ${startdir}/src/mjpegtools-1.8.0-gcc41.patch || return 1
+ patch -Np1 -i ${startdir}/src/mjpegtools-1.8.0-libc.patch || return 1
./configure --prefix=/usr
find -name Makefile -exec sed -i -e 's:-march=k8 -mtune=k8::' -e 's:-march=pentium3 -mtune=pentium3::' {} \;
diff --git a/abs/extra-testing/mjpegtools/mjpegtools-1.8.0-gcc41.patch b/abs/extra-testing/mjpegtools/mjpegtools-1.8.0-gcc41.patch
index e04db90..77d556f 100644
--- a/abs/extra-testing/mjpegtools/mjpegtools-1.8.0-gcc41.patch
+++ b/abs/extra-testing/mjpegtools/mjpegtools-1.8.0-gcc41.patch
@@ -10,123 +10,3 @@ diff -ur mjpegtools-1.8.0-orig/y4mdenoise/Region2D.hh mjpegtools-1.8.0/y4mdenois
// The 2-dimensional region class. Parameterized by the numeric type
-
-
-diff -ur mjpegtools-1.8.0.old/mpeg2enc/encodertypes.h mjpegtools-1.8.0/mpeg2enc/encodertypes.h
---- mjpegtools-1.8.0.old/mpeg2enc/encodertypes.h 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mpeg2enc/encodertypes.h 2008-10-28 13:34:41.000000000 -0500
-@@ -23,7 +23,9 @@
- * 02111-1307, USA.
- *
- */
--
-+
-+#include <cstdlib>
-+
- #include "config.h"
-
-
-diff -ur mjpegtools-1.8.0.old/mpeg2enc/macroblock.cc mjpegtools-1.8.0/mpeg2enc/macroblock.cc
---- mjpegtools-1.8.0.old/mpeg2enc/macroblock.cc 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mpeg2enc/macroblock.cc 2008-10-28 13:32:54.000000000 -0500
-@@ -19,6 +19,9 @@
- *
- */
-
-+
-+#include <limits>
-+
- #include <stdio.h>
-
- #include "macroblock.hh"
-@@ -49,7 +52,7 @@
- {
- vector<MotionEst>::iterator i;
- vector<MotionEst>::iterator min_me;
-- int best_score = INT_MAX;
-+ int best_score = std::numeric_limits<int>::max();
- int cur_score;
-
- //
-
-diff -ur mjpegtools-1.8.0.old/mpeg2enc/picturereader.cc mjpegtools-1.8.0/mpeg2enc/picturereader.cc
---- mjpegtools-1.8.0.old/mpeg2enc/picturereader.cc 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mpeg2enc/picturereader.cc 2008-10-28 13:36:50.000000000 -0500
-@@ -20,6 +20,8 @@
- */
-
-
-+#include <limits>
-+
- #include "picturereader.hh"
- #include <stdio.h>
- #include <stdlib.h>
-@@ -37,7 +39,7 @@
- frames_read = 0;
- last_frame = -1;
- lum_mean = 0;
-- istrm_nframes = INT_MAX;
-+ istrm_nframes = std::numeric_limits<int>::max();
- }
-
-
-
-diff -ur mjpegtools-1.8.0.old/mplex/inputstrm.cpp mjpegtools-1.8.0/mplex/inputstrm.cpp
---- mjpegtools-1.8.0.old/mplex/inputstrm.cpp 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mplex/inputstrm.cpp 2008-10-28 13:56:15.000000000 -0500
-@@ -21,6 +21,8 @@
- */
-
-
-+#include <limits>
-+
- #include <config.h>
- #include <assert.h>
-
-@@ -72,7 +74,7 @@
- au(0),
- muxinto( into ),
- kind(_kind),
-- buffer_min(INT_MAX),
-+ buffer_min(std::numeric_limits<int>::max()),
- buffer_max(1)
- {
- }
-
-diff -ur mjpegtools-1.8.0.old/mplex/multiplexor.cpp mjpegtools-1.8.0/mplex/multiplexor.cpp
---- mjpegtools-1.8.0.old/mplex/multiplexor.cpp 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mplex/multiplexor.cpp 2008-10-28 13:59:51.000000000 -0500
-@@ -19,6 +19,7 @@
- */
-
- #define STREAM_LOGGING
-+#include <cstring>
- #include <config.h>
- #include <math.h>
- #include <stdlib.h>
-
-diff -ur mjpegtools-1.8.0.old/mplex/padstrm.cpp mjpegtools-1.8.0/mplex/padstrm.cpp
---- mjpegtools-1.8.0.old/mplex/padstrm.cpp 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mplex/padstrm.cpp 2008-10-28 14:03:24.000000000 -0500
-@@ -20,6 +20,8 @@
- */
-
-
-+#include <cstring>
-+
- #ifdef HAVE_CONFIG_H
- #include "config.h"
- #endif
-
-
-diff -ur mjpegtools-1.8.0.old/mplex/main.cpp mjpegtools-1.8.0/mplex/main.cpp
---- mjpegtools-1.8.0.old/mplex/main.cpp 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mplex/main.cpp 2008-10-28 14:06:49.000000000 -0500
-@@ -26,6 +26,7 @@
- *************************************************************************/
-
- #include <config.h>
-+#include <cstring>
- #include <stdio.h>
- #ifdef HAVE_GETOPT_H
- #include <getopt.h>
diff --git a/abs/extra-testing/mjpegtools/mjpegtools-1.8.0-libc.patch b/abs/extra-testing/mjpegtools/mjpegtools-1.8.0-libc.patch
index 6ea14e0..7cffada 100644
--- a/abs/extra-testing/mjpegtools/mjpegtools-1.8.0-libc.patch
+++ b/abs/extra-testing/mjpegtools/mjpegtools-1.8.0-libc.patch
@@ -1,142 +1,154 @@
-diff -ur mjpegtools-1.8.0.old/mpeg2enc/encodertypes.h mjpegtools-1.8.0/mpeg2enc/encodertypes.h
---- mjpegtools-1.8.0.old/mpeg2enc/encodertypes.h 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mpeg2enc/encodertypes.h 2008-10-28 13:34:41.000000000 -0500
-@@ -23,7 +23,9 @@
- * 02111-1307, USA.
- *
- */
--
-+
-+#include <cstdlib>
-+
+diff -Naur mjpegtools-1.8.0.orig/mpeg2enc/encodertypes.h mjpegtools-1.8.0/mpeg2enc/encodertypes.h
+--- mjpegtools-1.8.0.orig/mpeg2enc/encodertypes.h 2008-12-10 10:57:56.000000000 -0600
++++ mjpegtools-1.8.0/mpeg2enc/encodertypes.h 2008-12-10 11:02:08.000000000 -0600
+@@ -26,7 +26,7 @@
+
#include "config.h"
+-
++#include <stdlib.h>
-diff -ur mjpegtools-1.8.0.old/mpeg2enc/macroblock.cc mjpegtools-1.8.0/mpeg2enc/macroblock.cc
---- mjpegtools-1.8.0.old/mpeg2enc/macroblock.cc 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mpeg2enc/macroblock.cc 2008-10-28 13:32:54.000000000 -0500
-@@ -19,6 +19,9 @@
- *
- */
-
-+
-+#include <limits>
-+
- #include <stdio.h>
-
- #include "macroblock.hh"
-@@ -49,7 +52,7 @@
+ class Parity
{
- vector<MotionEst>::iterator i;
- vector<MotionEst>::iterator min_me;
-- int best_score = INT_MAX;
-+ int best_score = std::numeric_limits<int>::max();
- int cur_score;
-
- //
-diff -ur mjpegtools-1.8.0.old/mpeg2enc/motionest.cc mjpegtools-1.8.0/mpeg2enc/motionest.cc
---- mjpegtools-1.8.0.old/mpeg2enc/motionest.cc 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mpeg2enc/motionest.cc 2008-10-28 13:38:03.000000000 -0500
-@@ -45,6 +45,8 @@
- *
+diff -Naur mjpegtools-1.8.0.orig/mpeg2enc/macroblock.cc mjpegtools-1.8.0/mpeg2enc/macroblock.cc
+--- mjpegtools-1.8.0.orig/mpeg2enc/macroblock.cc 2008-12-10 10:57:56.000000000 -0600
++++ mjpegtools-1.8.0/mpeg2enc/macroblock.cc 2008-12-10 11:02:41.000000000 -0600
+@@ -20,6 +20,7 @@
*/
-+#include <limits>
-+
- #include <config.h>
#include <stdio.h>
- #include <stdlib.h>
-@@ -1643,7 +1645,7 @@
- a basis for setting thresholds for rejecting really dud 4*4
- and 2*2 sub-sampled matches.
- */
-- best.weight = psad_00(reffld+i0+j0*lx,ssblk->mb,lx,h,INT_MAX);
-+ best.weight = psad_00(reffld+i0+j0*lx,ssblk->mb,lx,h,std::numeric_limits<int>::max());
- best.x = 0;
- best.y = 0;
-
-@@ -1714,7 +1716,7 @@
- /* Final polish: half-pel search of best 1*1 against
- reconstructed image.
- */
-- res->sad = INT_MAX;
-+ res->sad = std::numeric_limits<int>::max();
- x = (i0+best.x)<<1;
- y = (j0+best.y)<<1;
-
-diff -ur mjpegtools-1.8.0.old/mpeg2enc/picturereader.cc mjpegtools-1.8.0/mpeg2enc/picturereader.cc
---- mjpegtools-1.8.0.old/mpeg2enc/picturereader.cc 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mpeg2enc/picturereader.cc 2008-10-28 13:36:50.000000000 -0500
-@@ -20,6 +20,8 @@
- */
-
++#include <limits.h>
-+#include <limits>
-+
- #include "picturereader.hh"
- #include <stdio.h>
+ #include "macroblock.hh"
+ #include "mpeg2syntaxcodes.h"
+diff -Naur mjpegtools-1.8.0.orig/mpeg2enc/picturereader.cc mjpegtools-1.8.0/mpeg2enc/picturereader.cc
+--- mjpegtools-1.8.0.orig/mpeg2enc/picturereader.cc 2008-12-10 10:57:56.000000000 -0600
++++ mjpegtools-1.8.0/mpeg2enc/picturereader.cc 2008-12-10 11:03:04.000000000 -0600
+@@ -25,6 +25,7 @@
#include <stdlib.h>
-@@ -37,7 +39,7 @@
- frames_read = 0;
- last_frame = -1;
- lum_mean = 0;
-- istrm_nframes = INT_MAX;
-+ istrm_nframes = std::numeric_limits<int>::max();
- }
-
-
-diff -ur mjpegtools-1.8.0.old/mplex/inputstrm.cpp mjpegtools-1.8.0/mplex/inputstrm.cpp
---- mjpegtools-1.8.0.old/mplex/inputstrm.cpp 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mplex/inputstrm.cpp 2008-10-28 13:56:15.000000000 -0500
-@@ -21,6 +21,8 @@
- */
-
+ #include <unistd.h>
+ #include <string.h>
++#include <limits.h>
+ #include <errno.h>
+ #include "simd.h"
+ #include "mpeg2encoder.hh"
+diff -Naur mjpegtools-1.8.0.orig/mplex/inputstrm.cpp mjpegtools-1.8.0/mplex/inputstrm.cpp
+--- mjpegtools-1.8.0.orig/mplex/inputstrm.cpp 2008-12-10 10:58:55.000000000 -0600
++++ mjpegtools-1.8.0/mplex/inputstrm.cpp 2008-12-10 11:03:36.000000000 -0600
+@@ -23,6 +23,7 @@
-+#include <limits>
-+
#include <config.h>
#include <assert.h>
++#include <limits.h>
-@@ -72,7 +74,7 @@
- au(0),
- muxinto( into ),
- kind(_kind),
-- buffer_min(INT_MAX),
-+ buffer_min(std::numeric_limits<int>::max()),
- buffer_max(1)
- {
- }
-diff -ur mjpegtools-1.8.0.old/mplex/main.cpp mjpegtools-1.8.0/mplex/main.cpp
---- mjpegtools-1.8.0.old/mplex/main.cpp 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mplex/main.cpp 2008-10-28 14:06:49.000000000 -0500
-@@ -26,6 +26,7 @@
- *************************************************************************/
+ #include "mjpeg_types.h"
+ #include "inputstrm.hpp"
+diff -Naur mjpegtools-1.8.0.orig/mplex/padstrm.cpp mjpegtools-1.8.0/mplex/padstrm.cpp
+--- mjpegtools-1.8.0.orig/mplex/padstrm.cpp 2008-12-10 10:58:55.000000000 -0600
++++ mjpegtools-1.8.0/mplex/padstrm.cpp 2008-12-10 11:04:06.000000000 -0600
+@@ -24,6 +24,7 @@
+ #include "config.h"
+ #endif
- #include <config.h>
-+#include <cstring>
- #include <stdio.h>
- #ifdef HAVE_GETOPT_H
- #include <getopt.h>
-diff -ur mjpegtools-1.8.0.old/mplex/multiplexor.cpp mjpegtools-1.8.0/mplex/multiplexor.cpp
---- mjpegtools-1.8.0.old/mplex/multiplexor.cpp 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mplex/multiplexor.cpp 2008-10-28 13:59:51.000000000 -0500
-@@ -19,6 +19,7 @@
- */
-
- #define STREAM_LOGGING
-+#include <cstring>
++#include <string.h>
+ #include "padstrm.hpp"
+
+
+diff -Naur mjpegtools-1.8.0.orig/mplex/multiplexor.cpp mjpegtools-1.8.0/mplex/multiplexor.cpp
+--- mjpegtools-1.8.0.orig/mplex/multiplexor.cpp 2008-12-10 10:58:55.000000000 -0600
++++ mjpegtools-1.8.0/mplex/multiplexor.cpp 2008-12-10 11:04:53.000000000 -0600
+@@ -22,6 +22,7 @@
#include <config.h>
#include <math.h>
#include <stdlib.h>
-diff -ur mjpegtools-1.8.0.old/mplex/padstrm.cpp mjpegtools-1.8.0/mplex/padstrm.cpp
---- mjpegtools-1.8.0.old/mplex/padstrm.cpp 2008-10-28 13:17:34.000000000 -0500
-+++ mjpegtools-1.8.0/mplex/padstrm.cpp 2008-10-28 14:03:24.000000000 -0500
-@@ -20,6 +20,8 @@
- */
-
++#include <string.h>
-+#include <cstring>
-+
- #ifdef HAVE_CONFIG_H
- #include "config.h"
+ #include <mjpeg_types.h>
+ #include <mjpeg_logging.h>
+diff -Naur mjpegtools-1.8.0.orig/mplex/main.cpp mjpegtools-1.8.0/mplex/main.cpp
+--- mjpegtools-1.8.0.orig/mplex/main.cpp 2008-12-10 10:58:55.000000000 -0600
++++ mjpegtools-1.8.0/mplex/main.cpp 2008-12-10 11:05:20.000000000 -0600
+@@ -31,6 +31,7 @@
+ #include <getopt.h>
#endif
+ #include <string>
++#include <string.h>
+ #include <memory>
+ #include <sys/stat.h>
+ #ifndef _WIN32
+diff -Naur mjpegtools-1.8.0.orig/y4mdenoise/Set.hh mjpegtools-1.8.0/y4mdenoise/Set.hh
+--- mjpegtools-1.8.0.orig/y4mdenoise/Set.hh 2008-12-10 11:00:49.000000000 -0600
++++ mjpegtools-1.8.0/y4mdenoise/Set.hh 2008-12-10 11:06:30.000000000 -0600
+@@ -23,7 +23,7 @@
+ // How we implement ourselves.
+
+ public:
+- typedef typename Imp::Allocator Allocator;
++ typedef typename Imp::Allocator_t Allocator;
+ // The type of allocator to use to allocate items in the set.
+
+ Set (const PRED &a_rPred = PRED(),
+diff -Naur mjpegtools-1.8.0.orig/y4mdenoise/SkipList.hh mjpegtools-1.8.0/y4mdenoise/SkipList.hh
+--- mjpegtools-1.8.0.orig/y4mdenoise/SkipList.hh 2008-12-10 11:00:49.000000000 -0600
++++ mjpegtools-1.8.0/y4mdenoise/SkipList.hh 2008-12-10 11:09:34.000000000 -0600
+@@ -57,19 +57,19 @@
+ // Will give good sorting for up to e^10 items.
+
+ public:
+- typedef Allocator<Node,HEADERCHUNK> Allocator;
++ typedef Allocator<Node,HEADERCHUNK> Allocator_t;
+ // The type of node allocator to use.
+
+- static Allocator sm_oNodeAllocator;
++ static Allocator_t sm_oNodeAllocator;
+ // The default node allocator.
+
+ SkipList (const PRED &a_rPred = PRED(),
+- Allocator &a_rAlloc = sm_oNodeAllocator);
++ Allocator_t &a_rAlloc = sm_oNodeAllocator);
+ // Default constructor. Must be followed by Init().
+
+ SkipList (Status_t &a_reStatus, bool a_bAllowDuplicates,
+ uint32_t a_nRandSeed, const PRED &a_rPred = PRED(),
+- Allocator &a_rAlloc = sm_oNodeAllocator);
++ Allocator_t &a_rAlloc = sm_oNodeAllocator);
+ // Constructor. Specify whether or not duplicates are allowed,
+ // and provide a random number seed.
+
+@@ -255,7 +255,7 @@
+
+ private:
+
+- Allocator &m_rNodeAllocator;
++ Allocator_t &m_rNodeAllocator;
+ // Where we get memory to allocate nodes.
+
+ bool m_bAllowDuplicates;
+@@ -337,7 +337,7 @@
+
+ // The default node allocator. Allocates 64K at a time.
+ template <class KEY, class VALUE, class KEYFN, class PRED>
+-typename SkipList<KEY,VALUE,KEYFN,PRED>::Allocator
++typename SkipList<KEY,VALUE,KEYFN,PRED>::Allocator_t
+ SkipList<KEY,VALUE,KEYFN,PRED>::sm_oNodeAllocator (65536);
+
+
+@@ -345,7 +345,7 @@
+ // Default constructor. Must be followed by Init().
+ template <class KEY, class VALUE, class KEYFN, class PRED>
+ SkipList<KEY,VALUE,KEYFN,PRED>::SkipList (const PRED &a_rPred,
+- Allocator &a_rAlloc)
++ Allocator_t &a_rAlloc)
+ : m_rNodeAllocator (a_rAlloc), m_oPred (a_rPred)
+ {
+ // Set up some defaults.
+@@ -371,7 +371,7 @@
+ template <class KEY, class VALUE, class KEYFN, class PRED>
+ SkipList<KEY,VALUE,KEYFN,PRED>::SkipList (Status_t &a_reStatus,
+ bool a_bAllowDuplicates, uint32_t a_nRandSeed,
+- const PRED &a_rPred, Allocator &a_rAlloc)
++ const PRED &a_rPred, Allocator_t &a_rAlloc)
+ : m_rNodeAllocator (a_rAlloc), m_oPred (a_rPred)
+ {
+ // Make sure they didn't start us off with an error.
+
diff --git a/abs/extra-testing/mjpegtools/mjpegtools-1.8.0-limits.h.patch b/abs/extra-testing/mjpegtools/mjpegtools-1.8.0-limits.h.patch
new file mode 100644
index 0000000..41a59ca
--- /dev/null
+++ b/abs/extra-testing/mjpegtools/mjpegtools-1.8.0-limits.h.patch
@@ -0,0 +1,30 @@
+--- mjpegtools-1.8.0.orig/mpeg2enc/macroblock.cc 2007-11-29 19:45:06 +0000
++++ mjpegtools-1.8.0.orig/mpeg2enc/macroblock.cc 2007-11-29 19:45:33 +0000
+@@ -20,6 +20,7 @@
+ */
+
+ #include <stdio.h>
++#include <limits.h>
+
+ #include "macroblock.hh"
+ #include "mpeg2syntaxcodes.h"
+--- mjpegtools-1.8.0.orig/mpeg2enc/picturereader.cc 2007-11-29 19:45:06 +0000
++++ mjpegtools-1.8.0.orig/mpeg2enc/picturereader.cc 2007-11-29 19:45:52 +0000
+@@ -26,6 +26,7 @@
+ #include <unistd.h>
+ #include <string.h>
+ #include <errno.h>
++#include <limits.h>
+ #include "simd.h"
+ #include "mpeg2encoder.hh"
+
+--- mjpegtools-1.8.0.orig/mplex/inputstrm.cpp 2007-11-29 19:45:06 +0000
++++ mjpegtools-1.8.0.orig/mplex/inputstrm.cpp 2007-11-29 19:46:15 +0000
+@@ -23,6 +23,7 @@
+
+ #include <config.h>
+ #include <assert.h>
++#include <limits.h>
+
+ #include "mjpeg_types.h"
+ #include "inputstrm.hpp"
diff --git a/abs/extra-testing/mplayer/PKGBUILD b/abs/extra-testing/mplayer/PKGBUILD
index 43dad94..c1fdb7c 100644
--- a/abs/extra-testing/mplayer/PKGBUILD
+++ b/abs/extra-testing/mplayer/PKGBUILD
@@ -1,14 +1,14 @@
-# $Id: PKGBUILD 3632 2008-06-26 11:48:49Z paul $
+# $Id: PKGBUILD 20619 2008-12-06 02:41:24Z allan $
# Maintainer: Thomas Bächler <thomas@archlinux.org>
pkgname=mplayer
pkgver=1.0rc2
-pkgrel=6
+pkgrel=9
pkgdesc="A movie player for linux"
arch=(i686 x86_64)
depends=('libxxf86dga' 'libxv' 'libmad' 'giflib' 'cdparanoia' 'gtk2'
- 'sdl' 'lame' 'libtheora' 'xvidcore'
+ 'sdl' 'lame' 'libtheora' 'xvidcore' 'zlib'
'libgl' 'smbclient' 'aalib' 'jack-audio-connection-kit'
- 'x264>=20080625' 'faac' 'lirc-utils' 'ttf-dejavu')
+ 'x264>=20080625' 'faac' 'lirc-utils' 'ttf-dejavu' 'fribidi')
license=('GPL')
url="http://www.mplayerhq.hu/"
makedepends=('libcaca' 'unzip' 'live-media' 'libdca' 'mesa')
@@ -19,17 +19,14 @@ source=(http://www.mplayerhq.hu/MPlayer/releases/MPlayer-${pkgver}.tar.bz2
http://www.mplayerhq.hu/MPlayer/patches/demux_mov_fix_20080129.diff
http://www.mplayerhq.hu/MPlayer/patches/url_fix_20080120.diff
http://www.mplayerhq.hu/MPlayer/patches/stream_cddb_fix_20080120.diff
- ivtv_2.6.24.patch)
-md5sums=('7e27e535c2d267637df34898f1b91707'
- 'e4e2020d11b681aac898103b3ba723c4'
- '320af7daa1b248ee8e8c15d34d7923e3'
- 'ce999929155f509a3e6bee41d9d613ed'
- '6a2c124586e1e6c44ae4ca1b4be9b6e4'
- 'c7d1bcdd61fcceb7598d61fe2213c587'
- '1ef35068587f6b6dbc99342567895236')
+ ivtv_2.6.24.patch mplayer_desktop.patch)
+md5sums=('7e27e535c2d267637df34898f1b91707' 'e4e2020d11b681aac898103b3ba723c4'\
+ '320af7daa1b248ee8e8c15d34d7923e3' 'ce999929155f509a3e6bee41d9d613ed'\
+ '6a2c124586e1e6c44ae4ca1b4be9b6e4' 'c7d1bcdd61fcceb7598d61fe2213c587'\
+ '1ef35068587f6b6dbc99342567895236' '4c49195a4a1702f0cb321abdc3c07741')
build() {
- cd $startdir/src/MPlayer-${pkgver}
+ cd ${srcdir}/MPlayer-${pkgver}
# Custom CFLAGS break the mplayer build
unset CFLAGS
@@ -39,19 +36,22 @@ build() {
# Workaround for changed ivtv interface since it went mainline in 2.6.24
patch -p1 -i ../ivtv_2.6.24.patch || return 1
-
+
+ # mplayer.desktop fix
+ patch -p1 -i ../mplayer_desktop.patch || return 1
+
# Fix security issues
for p in demux_audio_fix_20080129.diff demux_mov_fix_20080129.diff url_fix_20080120.diff stream_cddb_fix_20080120.diff; do
patch -p0 -i ../${p}
done
- cd $startdir/src/MPlayer-${pkgver}
+ cd ${srcdir}/MPlayer-${pkgver}
./configure --prefix=/usr --enable-gui --disable-arts --enable-x11 \
--enable-runtime-cpudetection --confdir=/etc/mplayer --disable-nas \
--enable-gl --enable-tv-v4l1 --enable-tv-v4l2 --enable-largefiles \
--disable-liblzo --disable-speex --disable-openal \
- --disable-fribidi --disable-libdv --disable-musepack \
+ --enable-fribidi --disable-libdv --disable-musepack \
--language=all --disable-dvdnav --disable-esd --disable-mga \
--disable-libamr_nb \
--with-extraincdir=/usr/lib/live-media
@@ -59,9 +59,9 @@ build() {
[ "$CARCH" = "i686" ] && sed 's|-march=i486|-march=i686|g' -i config.mak
make || return 1
- make -j1 DESTDIR=${startdir}/pkg install
- cp etc/{codecs.conf,input.conf,example.conf} ${startdir}/pkg/etc/mplayer/
- ln -s /usr/share/fonts/TTF/DejaVuSans.ttf ${startdir}/pkg/usr/share/mplayer/subfont.ttf
- rm -rf ${startdir}/pkg/usr/share/mplayer/font
- mv ${startdir}/src/Blue ${startdir}/pkg/usr/share/mplayer/skins/default
+ make -j1 DESTDIR=${pkgdir} install
+ cp etc/{codecs.conf,input.conf,example.conf} ${pkgdir}/etc/mplayer/
+ ln -s /usr/share/fonts/TTF/DejaVuSans.ttf ${pkgdir}/usr/share/mplayer/subfont.ttf
+ rm -rf ${pkgdir}/usr/share/mplayer/font
+ mv ${srcdir}/Blue ${pkgdir}/usr/share/mplayer/skins/default
}
diff --git a/abs/extra-testing/mplayer/demux_audio_fix_20080129.diff b/abs/extra-testing/mplayer/demux_audio_fix_20080129.diff
deleted file mode 100644
index 1b18b6e..0000000
--- a/abs/extra-testing/mplayer/demux_audio_fix_20080129.diff
+++ /dev/null
@@ -1,11 +0,0 @@
---- libmpdemux/demux_audio.c (revision 24724)
-+++ libmpdemux/demux_audio.c (working copy)
-@@ -229,6 +229,8 @@
- ptr += 4;
-
- comment = ptr;
-+ if (&comment[length] < comments || &comment[length] >= &comments[blk_len])
-+ return;
- c = comment[length];
- comment[length] = 0;
-
diff --git a/abs/extra-testing/mplayer/demux_mov_fix_20080129.diff b/abs/extra-testing/mplayer/demux_mov_fix_20080129.diff
deleted file mode 100644
index d83477b..0000000
--- a/abs/extra-testing/mplayer/demux_mov_fix_20080129.diff
+++ /dev/null
@@ -1,45 +0,0 @@
---- libmpdemux/demux_mov.c (revision 24724)
-+++ libmpdemux/demux_mov.c (working copy)
-@@ -173,11 +173,12 @@
- i=trak->chunkmap_size;
- while(i>0){
- --i;
-- for(j=trak->chunkmap[i].first;j<last;j++){
-+ j=FFMAX(trak->chunkmap[i].first, 0);
-+ for(;j<last;j++){
- trak->chunks[j].desc=trak->chunkmap[i].sdid;
- trak->chunks[j].size=trak->chunkmap[i].spc;
- }
-- last=trak->chunkmap[i].first;
-+ last=FFMIN(trak->chunkmap[i].first, trak->chunks_size);
- }
-
- #if 0
-@@ -235,6 +236,8 @@
- s=0;
- for(j=0;j<trak->durmap_size;j++){
- for(i=0;i<trak->durmap[j].num;i++){
-+ if (s >= trak->samples_size)
-+ break;
- trak->samples[s].pts=pts;
- ++s;
- pts+=trak->durmap[j].dur;
-@@ -246,6 +249,8 @@
- for(j=0;j<trak->chunks_size;j++){
- off_t pos=trak->chunks[j].pos;
- for(i=0;i<trak->chunks[j].size;i++){
-+ if (s >= trak->samples_size)
-+ break;
- trak->samples[s].pos=pos;
- mp_msg(MSGT_DEMUX, MSGL_DBG3, "Sample %5d: pts=%8d off=0x%08X size=%d\n",s,
- trak->samples[s].pts,
-@@ -1568,8 +1573,7 @@
- if( udta_len>udta_size)
- udta_len=udta_size;
- {
-- char dump[udta_len-4];
-- stream_read(demuxer->stream, (char *)&dump, udta_len-4-4);
-+ stream_skip(demuxer->stream, udta_len-4-4);
- udta_size -= udta_len;
- }
- }
diff --git a/abs/extra-testing/mplayer/mplayer_desktop.patch b/abs/extra-testing/mplayer/mplayer_desktop.patch
new file mode 100644
index 0000000..7fb2bba
--- /dev/null
+++ b/abs/extra-testing/mplayer/mplayer_desktop.patch
@@ -0,0 +1,11 @@
+--- MPlayer-1.0rc2.orig/etc/mplayer.desktop 2008-11-17 02:09:22.000000000 +0200
++++ MPlayer-1.0rc2/etc/mplayer.desktop 2008-11-17 02:09:33.000000000 +0200
+@@ -10,7 +10,7 @@
+ Comment[it]=Lettore multimediale
+ Icon=mplayer.xpm
+ TryExec=gmplayer
+-Exec=gmplayer %U
++Exec=gmplayer %F
+ Terminal=false
+ Categories=GTK;AudioVideo;Audio;Video;Player;TV;
+ MimeType=application/ogg;application/x-ogg;application/sdp;application/smil;application/x-smil;application/streamingmedia;application/x-streamingmedia;application/vnd.rn-realmedia;application/vnd.rn-realmedia-vbr;audio/aac;audio/x-aac;audio/m4a;audio/x-m4a;audio/mp1;audio/x-mp1;audio/mp2;audio/x-mp2;audio/mp3;audio/x-mp3;audio/mpeg;audio/x-mpeg;audio/mpegurl;audio/x-mpegurl;audio/mpg;audio/x-mpg;audio/rn-mpeg;audio/scpls;audio/x-scpls;audio/vnd.rn-realaudio;audio/wav;audio/x-pn-windows-pcm;audio/x-realaudio;audio/x-pn-realaudio;audio/x-ms-wma;audio/x-pls;audio/x-wav;video/mpeg;video/x-mpeg;video/x-mpeg2;video/msvideo;video/x-msvideo;video/quicktime;video/vnd.rn-realvideo;video/x-ms-afs;video/x-ms-asf;video/x-ms-wmv;video/x-ms-wmx;video/x-ms-wvxvideo;video/x-avi;video/x-fli;video/x-theora;video/x-matroska;
diff --git a/abs/extra-testing/mplayer/stream_cddb_fix_20080120.diff b/abs/extra-testing/mplayer/stream_cddb_fix_20080120.diff
deleted file mode 100644
index 45f7226..0000000
--- a/abs/extra-testing/mplayer/stream_cddb_fix_20080120.diff
+++ /dev/null
@@ -1,32 +0,0 @@
---- stream/stream_cddb.c (revision 24724)
-+++ stream/stream_cddb.c (working copy)
-@@ -53,6 +53,7 @@
- #include "version.h"
- #include "stream.h"
- #include "network.h"
-+#include "libavutil/intreadwrite.h"
-
- #define DEFAULT_FREEDB_SERVER "freedb.freedb.org"
- #define DEFAULT_CACHE_DIR "/.cddb/"
-@@ -453,8 +454,9 @@
- } else {
- len = ptr2-ptr+1;
- }
-+ len = FFMIN(sizeof(album_title) - 1, len);
- strncpy(album_title, ptr, len);
-- album_title[len-2]='\0';
-+ album_title[len]='\0';
- }
- mp_msg(MSGT_DEMUX, MSGL_STATUS, MSGTR_MPDEMUX_CDDB_ParseOKFoundAlbumTitle, album_title);
- return 0;
-@@ -490,8 +492,9 @@
- } else {
- len = ptr2-ptr+1;
- }
-+ len = FFMIN(sizeof(album_title) - 1, len);
- strncpy(album_title, ptr, len);
-- album_title[len-2]='\0';
-+ album_title[len]='\0';
- }
- mp_msg(MSGT_DEMUX, MSGL_STATUS, MSGTR_MPDEMUX_CDDB_ParseOKFoundAlbumTitle, album_title);
- return cddb_request_titles(cddb_data);
diff --git a/abs/extra-testing/mplayer/url_fix_20080120.diff b/abs/extra-testing/mplayer/url_fix_20080120.diff
deleted file mode 100644
index a073589..0000000
--- a/abs/extra-testing/mplayer/url_fix_20080120.diff
+++ /dev/null
@@ -1,10 +0,0 @@
---- stream/url.c (revision 24724)
-+++ stream/url.c (working copy)
-@@ -328,6 +328,7 @@
- }
- }
-
-+ tmp = NULL;
- while(i < len) {
- // look for the next char that must be kept
- for (j=i;j<len;j++) {
diff --git a/abs/extra-testing/rsync/ChangeLog b/abs/extra-testing/rsync/ChangeLog
new file mode 100644
index 0000000..c6ae50d
--- /dev/null
+++ b/abs/extra-testing/rsync/ChangeLog
@@ -0,0 +1,25 @@
+2008-12-29 Eric Belanger <eric@archlinux.org>
+
+ * rsync 3.0.5-1
+ * Upstream update
+
+2008-09-06 Eric Belanger <eric@archlinux.org>
+
+ * rsync 3.0.4-1
+ * Upstream update
+
+2008-07-05 Eric Belanger <eric@archlinux.org>
+
+ * rsync 3.0.3-1
+ * Upstream update
+
+2008-04-13 Eric Belanger <eric@archlinux.org>
+
+ * rsync 3.0.2-1
+ * Upstream update
+
+2008-03-01 Eric Belanger <eric@archlinux.org>
+
+ * rsync 3.0.0-1
+ * Upstream update
+ * Updated license
diff --git a/abs/extra-testing/rsync/PKGBUILD b/abs/extra-testing/rsync/PKGBUILD
new file mode 100644
index 0000000..c2c5e2c
--- /dev/null
+++ b/abs/extra-testing/rsync/PKGBUILD
@@ -0,0 +1,33 @@
+# $Id: PKGBUILD 22959 2008-12-30 04:53:36Z eric $
+# Maintainer: Eric Belanger <eric@archlinux.org>
+# Contributor: Judd Vinet <jvinet@zeroflux.org>
+
+pkgname=rsync
+pkgver=3.0.5
+pkgrel=1
+pkgdesc="A file transfer program to keep remote files in sync"
+arch=('i686' 'x86_64')
+url="http://samba.anu.edu.au/rsync/"
+license=('GPL3')
+depends=('acl')
+backup=('etc/rsyncd.conf' 'etc/xinetd.d/rsync')
+source=(http://rsync.samba.org/ftp/rsync/${pkgname}-${pkgver}.tar.gz \
+ rsyncd.conf rsyncd rsync.xinetd)
+md5sums=('a130e736c011572cb423b6245e97fc4b' '4395c0591638349b1a7aeaaa4da1f03a'\
+ '9de4d03d49f4b5c73ffd67d452716a49' 'ea3e9277dc908bc51f9eddc0f6b935c1')
+sha1sums=('d95e75af9456b0edca68bde17260c98261b4b8c5'
+ '48be09294134dfed888818872fe552a59c29147a'
+ 'ebec275bbd0c11692c91dc59368349601bd9eaf4'
+ 'fdb99785bc87ee13d77aa90dc1804f3f75dd7fc1')
+
+build() {
+ cd ${srcdir}/${pkgname}-${pkgver}
+ ./prepare-source || return 1
+ ./configure --prefix=/usr --with-included-popt \
+ --enable-acl-support --enable-xattr-support || return 1
+ make || return 1
+ make DESTDIR=${pkgdir} install || return 1
+ install -D -m 755 ../rsyncd ${pkgdir}/etc/rc.d/rsyncd || return 1
+ install -D -m 644 ../rsyncd.conf ${pkgdir}/etc/rsyncd.conf || return 1
+ install -D -m 644 ../rsync.xinetd ${pkgdir}/etc/xinetd.d/rsync || return 1
+}
diff --git a/abs/extra-testing/rsync/rsync.xinetd b/abs/extra-testing/rsync/rsync.xinetd
new file mode 100644
index 0000000..f5b6b1e
--- /dev/null
+++ b/abs/extra-testing/rsync/rsync.xinetd
@@ -0,0 +1,11 @@
+service rsync
+{
+ socket_type = stream
+ wait = no
+ user = root
+ server = /usr/bin/rsync
+ server_args = --daemon
+ log_on_success += HOST DURATION
+ log_on_failure += HOST
+ disable = yes
+}
diff --git a/abs/extra-testing/rsync/rsyncd b/abs/extra-testing/rsync/rsyncd
new file mode 100644
index 0000000..e1313dc
--- /dev/null
+++ b/abs/extra-testing/rsync/rsyncd
@@ -0,0 +1,37 @@
+#!/bin/bash
+
+. /etc/rc.conf
+. /etc/rc.d/functions
+
+case "$1" in
+ start)
+ stat_busy "Starting rsyncd"
+ [ ! -f /var/run/daemons/rsyncd ] && /usr/bin/rsync --daemon
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ pgrep -of "/usr/bin/rsync --daemon" > /var/run/rsyncd.pid
+ add_daemon rsyncd
+ stat_done
+ fi
+ ;;
+
+ stop)
+ stat_busy "Stopping rsyncd"
+ [ -f /var/run/rsyncd.pid ] && kill `cat /var/run/rsyncd.pid`
+ if [ $? -gt 0 ]; then
+ stat_fail
+ else
+ rm_daemon rsyncd
+ stat_done
+ fi
+ ;;
+ restart)
+ $0 stop
+ sleep 1
+ $0 start
+ ;;
+ *)
+ echo "usage: $0 {start|stop|restart}"
+esac
+exit 0
diff --git a/abs/extra-testing/rsync/rsyncd.conf b/abs/extra-testing/rsync/rsyncd.conf
new file mode 100644
index 0000000..f7161f3
--- /dev/null
+++ b/abs/extra-testing/rsync/rsyncd.conf
@@ -0,0 +1,16 @@
+uid = nobody
+gid = nobody
+use chroot = no
+max connections = 4
+syslog facility = local5
+pid file = /var/run/rsyncd.pid
+
+[ftp]
+ path = /home/ftp
+ comment = ftp area
+
+#[cvs]
+# path = /data/cvs
+# comment = CVS repository (requires authentication)
+# auth users = tridge, susan
+# secrets file = /etc/rsyncd.secrets
diff --git a/abs/extra-testing/setuptools/PKGBUILD b/abs/extra-testing/setuptools/PKGBUILD
new file mode 100644
index 0000000..53c26a9
--- /dev/null
+++ b/abs/extra-testing/setuptools/PKGBUILD
@@ -0,0 +1,23 @@
+# $Id: PKGBUILD 16826 2008-10-22 12:40:52Z douglas $
+# Maintainer: simo <simo@archlinux.org>
+# Contributor: William Rea <sillywilly@gmail.com>
+# Contributor: Todd Maynard <arch@toddmaynard.com>
+
+pkgname=setuptools
+pkgver=0.6c9
+pkgrel=2
+pkgdesc="setuptools is a collection of enhancements to the Python distutils"
+license=('PSF')
+arch=(i686 x86_64)
+url="http://peak.telecommunity.com/DevCenter/setuptools"
+depends=('python')
+source=(http://cheeseshop.python.org/packages/source/s/$pkgname/$pkgname-$pkgver.tar.gz)
+
+md5sums=('3864c01d9c719c8924c455714492295e')
+
+build() {
+ cd $startdir/src/$pkgname-$pkgver
+ mkdir -p $startdir/pkg/usr/lib/python2.6/site-packages
+ python setup.py install --root=$startdir/pkg
+ echo "/usr/lib/python2.6/site-packages/$pkgname-$pkgver-py2.6.egg" > $startdir/pkg/usr/lib/python2.6/site-packages/setuptools.pth
+}
diff --git a/abs/extra-testing/v4l-dvb-dvico/PKGBUILD b/abs/extra-testing/v4l-dvb-dvico/PKGBUILD
new file mode 100644
index 0000000..4f4de06
--- /dev/null
+++ b/abs/extra-testing/v4l-dvb-dvico/PKGBUILD
@@ -0,0 +1,24 @@
+# $Id: PKGBUILD 5936 2008-07-21 20:24:16Z thomas $
+# Maintainer: Cecil Watson<knoppmyth@gmail.com>
+
+pkgname=v4l-dvb
+_kernver=2.6.27-ARCH
+pkgver=1
+pkgrel=1
+pkgdesc="V4L-DVB drivers from mercurial"
+arch=('i686' 'x86_64')
+license=('GPL2')
+url="http://linuxtv.org/"
+depends=('kernel26')
+makedepends=(kernel-headers)
+install=v4l-dvb.install
+source=(http://linuxtv.org/hg/~pascoe/xc-test/archive/tip.tar.bz2)
+
+build() {
+ cd $startdir/src/xc-test-d4f7804a393c
+ make KERNDIR=/lib/modules/$_kernver/build \
+ DESTDIR=$startdir/pkg KERNELRELEASE=$_kernver all || return 1
+ make KERNDIR=/lib/modules/$_kernver/build \
+ DESTDIR=$startdir/pkg KERNELRELEASE=$_kernver install || return 1
+ rm -fr $startdir/pkg/lib/modules/$_kernver/modules*
+}
diff --git a/abs/extra-testing/v4l-dvb-dvico/v4l-dvb.install b/abs/extra-testing/v4l-dvb-dvico/v4l-dvb.install
new file mode 100644
index 0000000..c87bb82
--- /dev/null
+++ b/abs/extra-testing/v4l-dvb-dvico/v4l-dvb.install
@@ -0,0 +1,23 @@
+# arg 1: the new package version
+post_install() {
+ KERNEL_VERSION='2.6.26-ARCH'
+ depmod -ae -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+# arg 1: the new package version
+# arg 2: the old package version
+post_upgrade() {
+ KERNEL_VERSION='2.6.26-ARCH'
+ depmod -ae -v $KERNEL_VERSION > /dev/null 2>&1
+
+}
+
+# arg 1: the old package version
+post_remove() {
+ KERNEL_VERSION='2.6.26-ARCH'
+ depmod -ae -v $KERNEL_VERSION > /dev/null 2>&1
+}
+
+op=$1
+shift
+$op $*
diff --git a/abs/extra-testing/xine-lib/ChangeLog b/abs/extra-testing/xine-lib/ChangeLog
index 57c843e..4b27a0a 100644
--- a/abs/extra-testing/xine-lib/ChangeLog
+++ b/abs/extra-testing/xine-lib/ChangeLog
@@ -1,3 +1,15 @@
+2008-12-05 Eric Belanger <eric@archlinux.org>
+
+ * xine-lib 1.1.15-4
+ * Rebuilt against heimdal 1.2.1
+ * Added xcb support
+
+2008-11-27 Eric Belanger <eric@archlinux.org>
+
+ * xine-lib 1.1.15-3
+ * Added jack support (close FS#12020)
+ * Fixed several build issue (close FS#12117)
+
2008-08-14 Eric Belanger <eric@archlinux.org>
* xine-lib 1.1.15-1
diff --git a/abs/extra-testing/xine-lib/PKGBUILD b/abs/extra-testing/xine-lib/PKGBUILD
index de79173..2988b74 100644
--- a/abs/extra-testing/xine-lib/PKGBUILD
+++ b/abs/extra-testing/xine-lib/PKGBUILD
@@ -1,36 +1,44 @@
-# $Id: PKGBUILD 10479 2008-08-29 07:46:38Z pierre $
+# $Id: PKGBUILD 20666 2008-12-06 08:58:36Z allan $
# Maintainer: Eric Belanger <eric@archlinux.org>
# Contributor: Judd Vinet <jvinet@zeroflux.org>
pkgname=xine-lib
pkgver=1.1.15
-pkgrel=2
+pkgrel=4
pkgdesc="A free video player for Unix"
arch=('i686' 'x86_64')
url="http://xinehq.de/"
license=('LGPL' 'GPL')
-depends=('libgl' 'libxvmc' 'flac>=1.1.4' 'libvorbis' 'sdl' 'libmng' 'libtheora'
- 'libxcb' 'wavpack' 'ffmpeg>=20080715')
-makedepends=('pkgconfig' 'libtool' 'automake' 'autoconf' 'imagemagick'
- 'smbclient' 'mesa' 'alsa-lib' )
+depends=('libgl' 'libxvmc' 'esound' 'flac>=1.1.4' 'libvorbis' 'sdl' 'libmng' 'libtheora'
+ 'libxcb' 'wavpack' 'ffmpeg>=20080715' 'heimdal>=1.2.1')
+makedepends=('pkgconfig' 'libtool' 'imagemagick' 'smbclient' 'mesa' 'alsa-lib'
+ 'vcdimager' 'jack-audio-connection-kit')
options=('!libtool')
source=(http://downloads.sourceforge.net/sourceforge/xine/${pkgname}-${pkgver}.tar.bz2
- xine-lib-1.1.1-configure-no-mcpu-march.patch xine-header.patch)
-md5sums=('42a2b4893b7f892eb334de2fc36d49c8' '9776df4eb54d2f1f68d8268adbc3b5c2'
- 'b139ee72700f8d118f9051e9140473f5')
+ xine-lib-1.1.1-configure-no-mcpu-march.patch xine-header.patch xine-imagemagick.patch)
+md5sums=('42a2b4893b7f892eb334de2fc36d49c8' '9776df4eb54d2f1f68d8268adbc3b5c2'\
+ 'b139ee72700f8d118f9051e9140473f5' '45d248d45b747f049129925cbf25716d')
+sha1sums=('bcb567ea2a11c5f26b2384d5400b8466ea9048c6'
+ '121a8358d7919b2e51067412373f52848290338a'
+ '30cd75db3f0c0002f467d85466f1c404452397df'
+ 'f0a0c04d5dfa3d0cd9246a1310f628deff489c12')
build() {
cd ${srcdir}/${pkgname}-${pkgver}
- patch -Np0 -i ../xine-lib-1.1.1-configure-no-mcpu-march.patch || return 1
- patch -p0 -i ../xine-header.patch || return 1
+
+ patch -p0 < ../xine-lib-1.1.1-configure-no-mcpu-march.patch || return 1
+ patch -p0 <../xine-header.patch || return 1
+ #patch -p1 <../xine-imagemagick.patch || return 1
+
libtoolize --force --copy || return 1
aclocal -I m4 || return 1
autoconf || return 1
automake --add-missing || return 1
./configure --prefix=/usr --with-w32-path=/usr/lib/codecs \
- --with-xv-path=/usr/lib --with-libflac --with-wavpack \
- --without-arts --without-jack --without-speex \
+ --with-xv-path=/usr/lib --with-xxmc-path=/usr/lib --with-xvmc-path=/usr/lib \
+ --with-libflac --with-wavpack --with-xcb \
+ --without-arts --with-jack --without-speex \
--disable-gnomevfs --without-pulseaudio --disable-aalib \
--disable-modplug --with-external-ffmpeg || return 1
make || return 1
diff --git a/abs/extra-testing/xine-lib/xine-imagemagick.patch b/abs/extra-testing/xine-lib/xine-imagemagick.patch
new file mode 100644
index 0000000..9faa4ab
--- /dev/null
+++ b/abs/extra-testing/xine-lib/xine-imagemagick.patch
@@ -0,0 +1,11 @@
+--- xine-lib-1.1.15.orig/src/libxinevdec/image.c
++++ xine-lib-1.1.15/src/libxinevdec/image.c
+@@ -110,7 +110,7 @@
+ width = MagickGetImageWidth(wand) & ~1; /* must be even for init_yuv_planes */
+ height = MagickGetImageHeight(wand);
+ img_buf = malloc(width * height * 3);
+- MagickGetImagePixels(wand, 0, 0, width, height, "RGB", CharPixel, img_buf);
++ MagickGetAuthenticPixels(wand, 0, 0, width, height, "RGB", CharPixel, img_buf);
+ DestroyMagickWand(wand);
+
+ _x_stream_info_set(this->stream, XINE_STREAM_INFO_VIDEO_WIDTH, width);